// CHECKSTYLE:OFF

package jenkins.metrics.api;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * This permission grants read-only access to the thread dump functionality of the Metrics servlet. Please be aware that potentially sensitive information in your stack trace, such as job names, will be exposed to users with this permission.
     * 
     */
    public static String Metrics_ThreadDumpPermission_Description() {
        return holder.format("Metrics.ThreadDumpPermission.Description");
    }

    /**
     * This permission grants read-only access to the thread dump functionality of the Metrics servlet. Please be aware that potentially sensitive information in your stack trace, such as job names, will be exposed to users with this permission.
     * 
     */
    public static Localizable _Metrics_ThreadDumpPermission_Description() {
        return new Localizable(holder, "Metrics.ThreadDumpPermission.Description");
    }

    /**
     * This permission grants read-only access to the Metrics servlet. Please be aware that potentially sensitive information in your stack trace, such as job names, will be exposed to a wider audience by granting this permission.
     * 
     */
    public static String Metrics_ViewPermission_Description() {
        return holder.format("Metrics.ViewPermission.Description");
    }

    /**
     * This permission grants read-only access to the Metrics servlet. Please be aware that potentially sensitive information in your stack trace, such as job names, will be exposed to a wider audience by granting this permission.
     * 
     */
    public static Localizable _Metrics_ViewPermission_Description() {
        return new Localizable(holder, "Metrics.ViewPermission.Description");
    }

    /**
     * Metrics
     * 
     */
    public static String Metrics_PermissionGroup() {
        return holder.format("Metrics.PermissionGroup");
    }

    /**
     * Metrics
     * 
     */
    public static Localizable _Metrics_PermissionGroup() {
        return new Localizable(holder, "Metrics.PermissionGroup");
    }

    /**
     * Metrics access key
     * 
     */
    public static String MetricsAccessKey_displayName() {
        return holder.format("MetricsAccessKey.displayName");
    }

    /**
     * Metrics access key
     * 
     */
    public static Localizable _MetricsAccessKey_displayName() {
        return new Localizable(holder, "MetricsAccessKey.displayName");
    }

    /**
     * Invalid/unknown access key: {0}
     * 
     */
    public static String MetricsAccessKey_invalidAccessKey(Object arg1) {
        return holder.format("MetricsAccessKey.invalidAccessKey", arg1);
    }

    /**
     * Invalid/unknown access key: {0}
     * 
     */
    public static Localizable _MetricsAccessKey_invalidAccessKey(Object arg1) {
        return new Localizable(holder, "MetricsAccessKey.invalidAccessKey", arg1);
    }

    /**
     * Registering metric provider and health check provider extensions
     * 
     */
    public static String Metrics_afterExtensionsAugmented() {
        return holder.format("Metrics.afterExtensionsAugmented");
    }

    /**
     * Registering metric provider and health check provider extensions
     * 
     */
    public static Localizable _Metrics_afterExtensionsAugmented() {
        return new Localizable(holder, "Metrics.afterExtensionsAugmented");
    }

    /**
     * This permission grants access to the health check functionality of the Metrics servlet. Please be aware that depending on the nature of the health checks in your system,this could be abused to deliver a denial of service attack if the credentials of a user with this permission become compromised.
     * 
     */
    public static String Metrics_HealthCheckPermission_Description() {
        return holder.format("Metrics.HealthCheckPermission.Description");
    }

    /**
     * This permission grants access to the health check functionality of the Metrics servlet. Please be aware that depending on the nature of the health checks in your system,this could be abused to deliver a denial of service attack if the credentials of a user with this permission become compromised.
     * 
     */
    public static Localizable _Metrics_HealthCheckPermission_Description() {
        return new Localizable(holder, "Metrics.HealthCheckPermission.Description");
    }

}
